photo

monarobase

shared this feature request
4 months ago

Statistics

2
Comments
1
Views

Share

Tags

2
votes

Add litespeed lsphp PHP option inside easyapache

Hello,

Now that litespeed is officialy supported, we would like to completly remove Apache.

As a first step, it would be nice to not have to build Apache's PHP and have the ability to only build litespeed's PHP.

Add Comment

Comments (2)

photo
1

Hi monarobase,

Have you experimented with this setup yet? That kind of information is very valuable to us. We can use it to determine the feasibility of the project.

Thank you!

photo
1

Hello,

Currently litespeed adds a hook to easyapache to run build matching php version after building Apache's version.

When you build PHP with easyapache it first builds it for apache, then runs the same build for php with lsapi using exactly the same files, just patching php first.

If PHP was not buit each time and was installed from rpm then this wouldn't be an issue but it does take quite a long time to build PHP twice.

I haven't tried to somehow try and force easy apache to not build apache's PHP but I have built litespeed's PHP from source before quite a few times and have run litespeed on our serveurs for quite some time now without a need to revert to Apache.

I'm not quite sure what you mean by "experemented with this setup", as I'm just asking to skip a step that doesn't seem needed in the normal process.

Leave Comment

photo

Attach files...

The file must be a jpg, gif, png, bmp, ico, pdf, doc, rtf, txt, zip or rar no more than 2M